GDB (xrefs)

Public Member Functions | List of all members
tdesc_element_visitor Class Referenceabstract
Inheritance diagram for tdesc_element_visitor:

## Public Member Functions
virtual void | visit_pre (const target_desc *e)=0
virtual void | visit_post (const target_desc *e)=0
virtual void | visit_pre (const tdesc_feature *e)=0
virtual void | visit_post (const tdesc_feature *e)=0
virtual void | visit (const tdesc_type_builtin *e)=0
virtual void | visit (const tdesc_type_vector *e)=0
virtual void | visit (const tdesc_type_with_fields *e)=0
virtual void | visit (const tdesc_reg *e)=0

## Detailed Description

Definition at line 43 of file target-descriptions.c.

## Member Function Documentation

## ◆ visit() [1/4]

virtual void tdesc_element_visitor::visit | ( | const tdesc_type_builtin * | e | ) |
| pure virtual

Implemented in print_c_tdesc.

Referenced by tdesc_reg::accept(), tdesc_type_builtin::accept(), tdesc_type_vector::accept(), and tdesc_type_with_fields::accept().

## ◆ visit() [2/4]

virtual void tdesc_element_visitor::visit | ( | const tdesc_type_vector * | e | ) |
| pure virtual

Implemented in print_c_tdesc.

## ◆ visit() [3/4]

virtual void tdesc_element_visitor::visit | ( | const tdesc_type_with_fields * | e | ) |
| pure virtual

Implemented in print_c_tdesc.

## ◆ visit() [4/4]

virtual void tdesc_element_visitor::visit | ( | const tdesc_reg * | e | ) |
| pure virtual

Implemented in print_c_feature, and print_c_tdesc.

## ◆ visit_post() [1/2]

virtual void tdesc_element_visitor::visit_post | ( | const target_desc * | e | ) |
| pure virtual

Implemented in print_c_feature, and print_c_tdesc.

Referenced by tdesc_feature::accept(), and target_desc::accept().

## ◆ visit_post() [2/2]

virtual void tdesc_element_visitor::visit_post | ( | const tdesc_feature * | e | ) |
| pure virtual

Implemented in print_c_feature, and print_c_tdesc.

## ◆ visit_pre() [1/2]

virtual void tdesc_element_visitor::visit_pre | ( | const target_desc * | e | ) |
| pure virtual

Implemented in print_c_feature, and print_c_tdesc.

Referenced by tdesc_feature::accept(), and target_desc::accept().

## ◆ visit_pre() [2/2]

virtual void tdesc_element_visitor::visit_pre | ( | const tdesc_feature * | e | ) |
| pure virtual

Implemented in print_c_feature, and print_c_tdesc.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c